%{?nodejs_find_provides_and_requires}

%global packagename split2
%global enable_tests 1

Name:		nodejs-split2
Version:	2.2.0
Release:	3%{?dist}
Summary:	Split a Text Stream into a Line Stream, using Stream 3

License:	ISC
URL:		https://github.com/mcollina/split2
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(safe-buffer)
BuildRequires:	npm(through2)
%if 0%{?enable_tests}
BuildRequires:	npm(callback-stream)
BuildRequires:	npm(tap)
%endif

%description
Split a Text Stream into a Line Stream, using Stream 3


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js bench.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap -b test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 27 2017 Jared Smith <jsmith@fedoraproject.org> - 2.2.0-1
- Update to upstream 2.2.0

* Sat May  6 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-1
- Initial packaging
